import { IoptionsParams, ProductSceneEnum } from '../../types';
import { BizFlowStartBehavior, IElementStatus, PaymentContext, ProductProcessor, StartBizFlowOptions } from '../index';
import { ServiceProvider } from '../service';
/**
 * @author 谦彧 <zhangmian.zm@alipay.com>
 * @date 2024/9/17
 */
export declare class AntomSDKCore {
    private bizFlowStartBehavior;
    private initOptions;
    private paymentContext;
    private instanceId;
    private sdkMetaData;
    private productProcessors;
    private enablePopWindowEventCallback;
    private eventLogging;
    private status;
    private logger;
    constructor();
    getStatus(): IElementStatus;
    setStatus(status: any): void;
    updatePaymentSessionData(paymentSession: string): void;
    registerProcessor(productScene: string, paymentMethod: string, processor: ProductProcessor): void;
    init(options: IoptionsParams, productScene: ProductSceneEnum): void;
    private prepare;
    startBizFlow(options: StartBizFlowOptions): Promise<void>;
    getServiceProvider(): ServiceProvider;
    getBizFlowBehavior(): BizFlowStartBehavior;
    getPaymentContext(): PaymentContext;
    destroy(): void;
    private handleBehaviorRender;
    private handleRemain;
    private handleClose;
    private cleanRender;
    getInstanceId(): string;
}
